# Uses of Interface
javax.imageio.metadata.IIOMetadataFormat

Packages that use IIOMetadataFormat
Package
Description
javax.imageio.metadata
A package of the Java Image I/O API dealing with reading and writing metadata.
javax.imageio.spi
A package of the Java Image I/O API containing the plug-in interfaces for readers, writers, transcoders, and streams, and a runtime registry.

## Uses of IIOMetadataFormat in javax.imageio.metadata

Classes in javax.imageio.metadata that implement IIOMetadataFormat
Modifier and Type
Class
Description
`class`
`IIOMetadataFormatImpl`
A concrete class providing a reusable implementation of the `IIOMetadataFormat` interface.
Methods in javax.imageio.metadata that return IIOMetadataFormat
Modifier and Type
Method
Description
`IIOMetadataFormat`
IIOMetadata.`getMetadataFormat(String formatName)`
Returns an `IIOMetadataFormat` object describing the given metadata format, or `null` if no description is available.
`static IIOMetadataFormat`
IIOMetadataFormatImpl.`getStandardFormatInstance()`
Returns an `IIOMetadataFormat` object describing the standard, plug-in neutral `javax.imageio_1.0` metadata document format described in the comment of the `javax.imageio.metadata` package.

## Uses of IIOMetadataFormat in javax.imageio.spi

Methods in javax.imageio.spi that return IIOMetadataFormat
Modifier and Type
Method
Description
`IIOMetadataFormat`
ImageReaderWriterSpi.`getImageMetadataFormat(String formatName)`
Returns an `IIOMetadataFormat` object describing the given image metadata format, or `null` if no description is available.
`IIOMetadataFormat`
ImageReaderWriterSpi.`getStreamMetadataFormat(String formatName)`
Returns an `IIOMetadataFormat` object describing the given stream metadata format, or `null` if no description is available.